# Create a branch

Creates a new branch. Branch names must be unique. A maximum of five branches per tenant is supported.

Endpoint: POST /api/v2/cm/branches
Version: v2.0
Security: OAuth2.0

## Security:

  - `OAuth2.0` (unknown)
    oauth2

## Request body:

  - `application/json-patch+json, application/json, text/json, application/*+json` (unknown)
    The branch to add.

## Request fields (application/json-patch+json):

  - `id` (string, required)

  - `source` (string, required)

  - `name` (string, required)

## Response 201:

  - `201` (unknown)
    Branch successfully created

## Response 201 fields (application/json):

  - `id` (string)

  - `source` (string)

  - `name` (string)

  - `path` (string)

  - `system` (object, required)

  - `system.type` (string, required)

  - `system.hash` (string, required)

  - `system.createdAt` (string, required)

  - `system.createdBy` (string, required)

  - `system.updatedAt` (string)

  - `system.updatedBy` (string)

## Response 400:

  - `400` (unknown)
    Request not valid or error during operation

## Response 400 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized request or invalid access token

## Response 401 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 403:

  - `403` (unknown)
    Request does not contain required scopes

## Response 403 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 409:

  - `409` (unknown)
    Conflict

## Response 409 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 500:

  - `500` (unknown)
    Server-side exception during request execution

